Page MenuHomePhabricator

Implement config that enables us to exclude ja.wiki from receiving mobile visual enhancements/usability improvemets
Closed, ResolvedPublic

Description

This task involves the work of implementing a temporary config that makes it so all volunteers – logged in and out, across experience levels – who visit a mobile talk page at ja.wiki retain access to the mobile Reply and New Topic Tools without receiving the visual enhancements T318302 will introduce.

NOTE: the config this task introduces will be removed in T318868

Requirements

Write the config necessary such that after T318302 is deployed, the following is true:

  1. Logged in and logged out users (across experience levels) who visit a talk page using the mobile version of the Wikipedia site:
    • A) Continue having access to the mobile Reply and New Topic Tools
    • B) Do not start seeing/having access to the suite of Visual Enhancements/Usability Improvements T318302 will make available at the following Wikipedias: Arabic, Bangla, Chinese, French, Haitian Creole, Hebrew, Korean, and Vietnamese

Done

  • Requirements are implemented

Event Timeline

Change 836303 had a related patch set uploaded (by DLynch; author: DLynch):

[mediawiki/extensions/DiscussionTools@master] Add config to separate out visualenhancements on mobile

https://gerrit.wikimedia.org/r/836303

Change 836304 had a related patch set uploaded (by DLynch; author: DLynch):

[operations/mediawiki-config@master] Stop mobile visual enhancements from rolling out to jawiki

https://gerrit.wikimedia.org/r/836304

Change 836303 merged by jenkins-bot:

[mediawiki/extensions/DiscussionTools@master] Add config to separate out visualenhancements on mobile

https://gerrit.wikimedia.org/r/836303

Change 836304 merged by jenkins-bot:

[operations/mediawiki-config@master] Stop mobile visual enhancements from rolling out to jawiki

https://gerrit.wikimedia.org/r/836304

Mentioned in SAL (#wikimedia-operations) [2022-09-29T13:27:44Z] <lucaswerkmeister-wmde@deploy1002> Started scap: Backport for [[gerrit:836304|Stop mobile visual enhancements from rolling out to jawiki (T318871)]]

Mentioned in SAL (#wikimedia-operations) [2022-09-29T13:28:08Z] <lucaswerkmeister-wmde@deploy1002> lucaswerkmeister-wmde and kemayo: Backport for [[gerrit:836304|Stop mobile visual enhancements from rolling out to jawiki (T318871)]] synced to the testservers: mwdebug1002.eqiad.wmnet, mwdebug2002.codfw.wmnet, mwdebug1001.eqiad.wmnet, mwdebug2001.codfw.wmnet

Mentioned in SAL (#wikimedia-operations) [2022-09-29T13:33:20Z] <lucaswerkmeister-wmde@deploy1002> Finished scap: Backport for [[gerrit:836304|Stop mobile visual enhancements from rolling out to jawiki (T318871)]] (duration: 05m 36s)

DLynch added a project: Editing QA.

You'll need to wait to QA this until the change this is avoiding is rolled out to jawiki -- so after the train lands on 2022-10-06.

EAkinloose added a subscriber: EAkinloose.

Logged in and logged out users:
✅ A) Continue having access to the mobile Reply and New Topic Tools

Screenshot 2022-10-11 at 17.42.07.png (1×550 px, 105 KB)

Screenshot 2022-10-11 at 17.41.06.png (988×550 px, 118 KB)

Screenshot 2022-10-11 at 17.45.54.png (966×574 px, 107 KB)

Screenshot 2022-10-11 at 17.46.15.png (1×548 px, 130 KB)

✅ B) Do not start seeing/having access to the suite of Visual Enhancements/Usability Improvements from T318302

Screenshot 2022-10-11 at 17.41.39.png (992×558 px, 100 KB)

Screenshot 2022-10-11 at 17.44.36.png (1×560 px, 90 KB)

@EAkinloose: are you able to share what wiki you used to take the screenshots you shared in T318871#8308670?

I ask the above wanting to ensure that we verified this at ja.wiki.

@EAkinloose: are you able to share what wiki you used to take the screenshots you shared in T318871#8308670?

I ask the above wanting to ensure that we verified this at ja.wiki.

Yes @ppelberg . It was verified on ja.wiki. See T318871#8317917

@EAkinloose: are you able to share what wiki you used to take the screenshots you shared in T318871#8308670?

I ask the above wanting to ensure that we verified this at ja.wiki.

Yes @ppelberg . It was verified on ja.wiki. See T318871#8317917

Excellent - thank you for confirming, @EAkinloose and for sharing this link @DLynch.

Note: I'm also now noticing the Japanese that appears within the footer of this screenshot that Esther shared: F35563015.